curl --request GET \
--url 'https://api.stateset.com/api/v1/quality/holds' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"holds": [
{
"hold_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_number": "string",
"placed_at": "2026-08-31T14:22:05Z",
"placed_by": "string",
"quantity_held": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"released_at": "2026-08-31T14:22:05Z",
"released_by": "string",
"sku": "SKU-TENT-2P-GRN"
}
],
"total": 102
}
List holds
List holds
GET
/
api
/
v1
/
quality
/
holds
curl --request GET \
--url 'https://api.stateset.com/api/v1/quality/holds' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"holds": [
{
"hold_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_number": "string",
"placed_at": "2026-08-31T14:22:05Z",
"placed_by": "string",
"quantity_held": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"released_at": "2026-08-31T14:22:05Z",
"released_by": "string",
"sku": "SKU-TENT-2P-GRN"
}
],
"total": 102
}
Query parameters
string
string
string
boolean
integer (int32)
integer (int32)
Response
QualityHoldListResponse
QualityHoldResponse[]
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/quality/holds' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"holds": [
{
"hold_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_number": "string",
"placed_at": "2026-08-31T14:22:05Z",
"placed_by": "string",
"quantity_held": "string",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"released_at": "2026-08-31T14:22:05Z",
"released_by": "string",
"sku": "SKU-TENT-2P-GRN"
}
],
"total": 102
}
Last modified on August 31, 2026